-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/alobloadconfigbcp.sql
-- SID: 1.5.2.5
-- Date Modified: 04/10/15 11:33:21
--
-- Module Description
--   Defines the alobLoadConfigBcp stored procedure

Use Object
GO

-------------------------------------------------------------------------
-- alobLoadConfigBcp
PRINT 'Creating procedure alobLoadConfigBcp'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'alobLoadConfigBcp' AND type = 'P')
  DROP PROCEDURE alobLoadConfigBcp
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/alobloadconfigbcp.sql
-- SID: 1.5.2.5
-- Date Modified: 04/10/15 11:33:21
CREATE PROCEDURE alobLoadConfigBcp
  @sFilename      NVARCHAR(256), 
  @sType          NVARCHAR(32),
  @sCodepage      NVARCHAR(16),
  @sVersion       NVARCHAR(50) = '1.0',
  @verbose        TINYINT = 0
AS

  -- Standard TRANSACTION logic
  DECLARE @tcount INT
  SELECT @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN alobLoadConfigBcp
  ELSE
    SAVE TRAN alobLoadConfigBcp

  -- Standard Announcement 
  RAISERROR( 'alobLoadConfigBcp @sFilename=''%s'', @sType=''%s'', @sCodepage=''%s'', @sVersion=''%s''', 0, 1, @sFilename, @sType, @sCodepage, @sVersion )

  DECLARE @nError INTEGER

  IF ( 'Pattern' = @sType ) 
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp1 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF ( 'CriteriaToPattern' = @sType )
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp2 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'Path' = @sType ) AND ( '1.1' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp7 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'Path' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp8 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'Path' = @sType ) AND ( '1.0' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp3 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF ( 'CriteriaToPath' = @sType ) AND (( '1.1' = @sVersion) OR ( '1.0' = @sVersion))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp4 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'CriteriaToPath' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp9 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF ( 'PatternList' = @sType )
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp5 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'CriteriaToFunctionGroup' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp10 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'FunctionGroup' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp11 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'FunctionGroupRelevance' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp12 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'SetThresholds' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp13 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'SetSendStateChangeEvent' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp14 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'DefineAndUsePBTs' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp15 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'SetWeights' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp16 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'DefineServicesAndLinkToEvUsers' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp17 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'UserIDGroup' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp18 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'AutoCopyEVService' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp19 @sFilename, @sCodepage, @verbose = @verbose
  END
  ELSE IF (( 'SetBSPriority' = @sType ) AND ( '1.2' = @sVersion ))
  BEGIN
    EXECUTE @nError = alobLoadConfigBcp20 @sFilename, @sCodepage, @verbose = @verbose
  END

  IF @nError <> 0
  BEGIN
    RAISERROR( 'Configuration not loaded.', 3, 1)
    ROLLBACK TRANSACTION alobLoadConfigBcp
    RETURN -30000
  END
  
  -- Finish up TRANSACTION
  IF @tcount = 0
    COMMIT TRAN alobLoadConfigBcp
  RETURN 0
GO
