-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/aloboutputconfigbcp21.sql
-- SID: 1.1
-- Date Modified: 04/10/15 11:29:46
--
-- Module Description
--   Defines the alobOutputConfigBcp21 stored procedure which outputs the SetBSPriority Section

Use Object
GO

-------------------------------------------------------------------------
-- alobOutputConfigBcp21
PRINT 'Creating procedure alobOutputConfigBcp21'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'alobOutputConfigBcp21' AND type = 'P')
  DROP PROCEDURE alobOutputConfigBcp21
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/aloboutputconfigbcp21.sql
-- SID: 1.1
-- Date 04/10/15 11:29:46
CREATE PROCEDURE alobOutputConfigBcp21
  
AS
  SET NOCOUNT ON

  -- Standard TRANSACTION logic
  DECLARE @tcount INT
  SELECT @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN alobOutputConfigBcp21
  ELSE
    SAVE TRAN alobOutputConfigBcp21

  -- Standard Announcement 
--  RAISERROR( 'alobOutputConfigBcp21', 0, 1 )


  -- Output records to be used for bcp
  SELECT sInstance, NewPriority
  FROM alobListSetBSPriority
  ORDER BY sInstance



  -- Finish up TRANSACTION
  IF @tcount = 0
    COMMIT TRAN alobOutputConfigBcp21
GO
