-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM
--
-- Restricted Materials of IBM
--
-- 5724-C51
--
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive\db\sql\asisp_clearsynceventjob.sql
-- SID: 1.2
-- Date Modified: 04/09/22 18:09:17
--
-- Module Description:
--   Creates the asisp_clearSyncEventJob stored procedure

USE Object
GO

---------------------------------------------------------------------------------------------------
-- asisp_clearSyncEventJob
PRINT 'Creating procedure asisp_clearSyncEventJob'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'asisp_clearSyncEventJob' AND type = 'P')
  DROP PROCEDURE asisp_clearSyncEventJob
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive\db\sql\asisp_clearsynceventjob.sql
-- SID: 1.2
-- Date Modified: 04/09/22 18:09:17
-- This procedure is run by the SyncEvent Cleanup SQL job to delete
-- records from SyncEvent that got missed by normal event processing
CREATE PROCEDURE asisp_clearSyncEventJob
  @verbose  TINYINT = 0
AS
  SET NOCOUNT ON

  DECLARE @eventid NVARCHAR(255), @now NVARCHAR(40), @rc INT

  IF EXISTS (SELECT 1 FROM SyncEvent WHERE eventid = 'PauseStagedEventProcessing' AND eventno = 1)
  BEGIN
    SET @eventid = 'PauseStagedEventProcessing'
    IF @verbose >= 1
    BEGIN
      SET @now = CONVERT(NVARCHAR, CURRENT_TIMESTAMP, 121)
      RAISERROR('%s: asisp_clearSyncEventJob: Deleting SyncEvent record with eventid %s', 0, 1, @now, @eventid) WITH NOWAIT
    END
    EXEC @rc = asisp_clearSyncEvent @eventid
    IF @rc <> 1
    BEGIN
      SET @now = CONVERT(NVARCHAR, CURRENT_TIMESTAMP, 121)
      RAISERROR('%s: asisp_clearSyncEventJob: Error deleting SyncEvent record with eventid %s', 3, 1, @now, @eventid) WITH NOWAIT
    END
  END
GO
