-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive\db\sql\schemamessages.sql
-- SID: 1.27.1.43
-- Date Modified: 04/10/18 14:12:46
--
-- SchemaMessages.sql
--
--   Extended system messages for TM/390 SQL database
--   This is the master file for defining new messages.
--   Conventions:
--     - Base message #:  50001
--     - Each stored procedure should allocate a range of 100 messages at a time.
--     - Do this by simply starting the next 100 series below as required.
--     - Please put a comment above each block of messages to indicate their general purpose.
--     - Use the 'N' National Character prefix for the the description value. This is needed to support double byte characters when 
--        this file is translated.
--     - Use the @replace='REPLACE' optional parameter to allow for the replacement of exiting messages.
USE master
GO
SET NOCOUNT ON
GO

-- File discovery messages
EXEC sp_safeaddmessage 50001, 1, N'Received FILE message for existing non-monitored FILE', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50002, 2, N'Received FILE message for NEW FILE', @replace='REPLACE', @lang='us_english'
GO

-- Messages for asisp_checkclassmatrix
EXEC sp_safeaddmessage 50100, 3, N'CID %s: Error looking up class ''%s''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50101, 3, N'CID %s: Static table %s is missing column _%sMatrix', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50102, 3, N'CID %s: Required link table %s does not exist', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50103, 3, N'CID %s: Missing %s PropagationMatrix', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50104, 3, N'CID %s: Missing containment record for %s PropagationMatrix %d', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50105, 3, N'CID %s: containment record for %s PropagationMatrix %d has src_cid=''%s''. Must be ''STCR'' for class matrix.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50106, 3, N'CID %s: containment record for %s PropagationMatrix %d has src_id=%d. Must be 1 for class matrix.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50107, 3, N'CID %s: containment record for %s PropagationMatrix %d marked as deleted.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50108, 3, N'CID %s: Missing link record for %s PropagationMatrix %d', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50109, 3, N'CID %s: link record for %s PropagationMatrix %d has src_cid=''%s''. Must be ''STCR'' for class matrix.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50110, 3, N'CID %s: link record for %s PropagationMatrix %d has src_id=%d. Must be 1 for class matrix.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50111, 3, N'CID %s: link record for %s PropagationMatrix %d marked as deleted.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50112, 3, N'CID %s: link record for %s PropagationMatrix %d has link_type=''%s''. Must be ''%s'' for class matrix.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50113, 3, N'CID %s: missing link record for %s PropagationMatrix %d in static table %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50114, 3, N'CID %s: badly formed link record ''%s'' for %s PropagationMatrix %d in static table %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50115, 3, N'CID %s: %s._%sMatrix has link type ''%s''. Must be ''%s''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50116, 3, N'CID %s: %s._%sMatrix has src_cid ''%s''. Must be ''STCR''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50117, 3, N'CID %s: %s._%sMatrix has src_id %d. Must be 1', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50118, 3, N'CID %s: %s._%sMatrix has dst_cid ''%s''. Must be ''PRMX''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50119, 3, N'CID %s: %s._%sMatrix has dst_id %d. Must be 1', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50120, 3, N'CID %s: Attempting to fix', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50121, 3, N'CID %s: Cannot fix containment record for PRMX %d since link record with different src_cid/src_id pair exists.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50122, 3, N'CID %s: %s Propagation Matrix %d is badly formed Should have 2 Setting/Bucket pairs. Actually has %d.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50123, 3, N'CID %s: bad %s._%sMatrix specification. Should be ''%s'', actually ''%s''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50124, 3, N'CID %s: Error updating static table %s. Rowcount=%d (should be 1).', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50125, 3, N'CID %s: %s._%sMatrix has side ''%s''. Must be ''T''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50126, 3, N'CID %s: %s._%sMatrix has side ''%s''. Must be ''T''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50127, 3, N'CID %s: Could not create PropagationMatrix %sMatrix', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50128, 3, N'CID %s: Missing PropagationSetting for %sMatrix', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50129, 3, N'CID %s: Could not create PropagationSetting %sMatrix/Max', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50130, 3, N'CID %s: PropagationSetting %d is not named ''Max''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50131, 3, N'CID %s: Could not update name of PropagationSetting %d', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50132, 3, N'CID %s: Missing PropagationBucketArray for %sMatrix/Max/%s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50133, 3, N'CID %s: Could not create PropagationBucketArray %sMatrix/Max/%s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50134, 3, N'CID %s: Could not insert record into %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50135, 3, N'CID %s: Table %s missing insert trigger', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50136, 3, N'CID %s: Could not create insert trigger for table %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50137, 3, N'CID %s: %sMatrix confirmed', @replace='REPLACE', @lang='us_english'
GO

-- Messages for asisp_checkclassmatrices
EXEC sp_safeaddmessage 50200, 1, N'Checking matrices for class %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50201, 3, N'''%s'' is not a valid class id', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50202, 3, N'''%s'' is an abstract class', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50203, 3, N'Class %s does not have matrices', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50204, 3, N'Class %s is missing static table %s_S', @replace='REPLACE', @lang='us_english'
GO

-- sp_saveobjectdef
EXEC sp_safeaddmessage 50300, 3, N'Object ''%s'' not defined', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50301, 3, N'Object ''%s'' not a procedure, trigger, or view', @replace='REPLACE', @lang='us_english'
GO

-- sp_recreatesavedobject
EXEC sp_safeaddmessage 50400, 3, N'SavedObjectDef(''%s'', ''%s'') has %d rows. Maximum for sp_recreatesavedobject is %d.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50401, 3, N'SavedObjectDef(''%s'', ''%s'') is not defined.', @replace='REPLACE', @lang='us_english'
GO

-- Messages for asisp_insertparentlink
EXEC sp_safeaddmessage 50500, 3, N'asisp_insertparentlink: invalid container link %s, aborting', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50501, 3, N'asisp_insertparentlink: no container link from %s to %s, aborting', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50502, 3, N'asisp_insertparentlink: could not insert link from %s %d to %s %d, aborting', @replace='REPLACE', @lang='us_english'
GO

-- Messages for _CopyObjectsTo
EXEC sp_safeaddmessage 50600, 3, N'_CopyObjectsTo: copy to class %s not supported', @replace='REPLACE', @lang='us_english'
GO

-- Messages for Process_SA390_StateChange
EXEC sp_safeaddmessage 50700, 3, N'Process_SA390_StateChange: Could not find OS with SMFID ''%s''', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50701, 1, N'%s %s IS %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50702, 3, N'Process_SA390_StateChange: Could not undelete object in table %s with cid=%s, id=%d', @replace='REPLACE', @lang='us_english'
GO

-- Messages for asisp_processStagedEvents
EXEC sp_safeaddmessage 50800, 1, N'asisp_processStagedEvents: Starting', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50801, 1, N'asisp_processStagedEvents: Events: %d. Elapsed: %d sec. E/S: %d.', @replace='REPLACE', @lang='us_english'
GO

-- Messages for _CreateOwnershipNote, asisp_closenote, asisp_closeAllOwershipNotes, and asisp_closeProblemTicket
EXEC sp_safeaddmessage 50900, 1, N'Note closed at %s due to no owned events', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50901, 1, N'Note closed at %s when last owned event was cleared', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50902, 1, N'Note closed at %s when last owned event expired', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50903, 1, N'Note closed at %s by a database reset', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 50904, 1, N'Note has been automatically closed by the AutoClose option invoked when ticket number %s  was closed on %s', @replace='REPLACE', @lang='us_english'
GO

-- _DefineBPTs
EXEC sp_safeaddmessage 51000, 4, 'GTMPT1000E: At least one of PBTID and PBTName must not be NULL', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51001, 4, 'GTMPT1001E: Enabled must be 0 (disabled) or 1 (enabled)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51002, 4, 'GTMPT1002E: MinAlertState must be 1(Green), 2(Yellow), or 3(Red)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51003, 4, 'GTMPT1003E: MaxAlertState must be 1(Green), 2(Yellow), or 3(Red)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51004, 4, 'GTMPT1004E: MinAlertState cannot be greater than MaxAlertState', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51005, 4, 'GTMPT1005E: MinPercentage must be between 0 and 100', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51006, 4, 'GTMPT1006E: MaxPercentage must be between 0 and 100', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51007, 4, 'GTMPT1007E: MinPercentage cannot be greater than MaxPercentage', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51008, 4, 'GTMPT1008E: EventType must be ''EXCP'' (Exception) or ''MESG'' (Message)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51009, 4, 'GTMPT1009E: EventName cannot be NULL', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51010, 4, 'GTMPT1010E: EventText cannot be NULL', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51011, 4, 'GTMPT1011E: EventAlertState must be 1(Green), 2(Yellow), or 3(Red)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51012, 4, 'GTMPT1012E: EventPriority must be 1(Critical) , 2(High), 3(Medium), 4(Low), or 5(Ignore)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51013, 4, 'GTMPT1013E: Unknown bit set in EventFlags', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51014, 4, 'GTMPT1014E: Unknown bit set in ExecMode', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51015, 4, 'GTMPT1015E: Attempt to create a PBT with a duplicate name', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51016, 4, 'GTMPT1016E: Specified PBT does not exist', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51017, 4, 'GTMPT1015E: Attempt to create a PBT with duplicate behavior', @replace='REPLACE', @lang='us_english'

-- _GetPBTStatus, _GetPBTs
EXEC sp_safeaddmessage 51100, 4, 'GTMPT1100E: Specified PBT does not exist', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51101, 4, 'GTMPT1101E: DesiredResultSets must be 1, 2, 3, 4, or 5', @replace='REPLACE', @lang='us_english'

-- _SetWeights
EXEC sp_safeaddmessage 51200, 4, 'GTMPT1200E: Specified object does not exist', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51201, 4, 'GTMPT1201E: Unknown bit set in ExecMode', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51202, 4, 'GTMPT1202E: Negative value specified for NewWeight. Must be between 0 and 10,000.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51203, 4, 'GTMPT1203E: Value greater than 10,000 specified for NewWeight. Must be between 0 and 10,000.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51204, 4, 'GTMPT1204E: Null value specified for NewWeight. Must be between 0 and 10,000.', @replace='REPLACE', @lang='us_english'

-- _UsePBTs
EXEC sp_safeaddmessage 51300, 4, 'GTMPT1300E: Specified object does not exist', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51301, 4, 'GTMPT1301E: Specified PBT does not exist', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51302, 4, 'GTMPT1302E: Invalid Action code specified. Must be 0(disable), 1(enable), or 2(delete).', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51303, 4, 'GTMPT1303E: Unknown bit set in ExecMode', @replace='REPLACE', @lang='us_english'

-- _DefineAndUsePBTs
EXEC sp_safeaddmessage 51400, 4, 'GTMPT1400E: Required table #PBTsToDefine not defined', @replace='REPLACE', @lang='us_english'

-- _SetBSPriority
EXEC sp_safeaddmessage 51501, 4, 'GTMPT1501E: Priority must be 1 (Critical) or 2 (High) or 3 (Medium) or 4 (Low) or 5 (Ignore) or 6 (InheritFromEvent)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 51502, 4, 'GTMPT1502E: The specified CID must be a Business System (LOB)', @replace='REPLACE', @lang='us_english'

-- Messages FOR GEM Auto LOB processing
-- DO NOT translate message header i.e.,'TBSM4005I:' in the first message
-- Message numbers in sysmessages start from 55000
EXEC sp_safeaddmessage 55000, 1, N'TBSM4005I: No filtering for (%s, %d) and LOBKey (%s)',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55001, 1, N'TBSM4006I: The filtering condition (%s) for (%s, %d) and LOBKey (%s) is %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55002, 1, N'TBSM4002I: Creating LOB (at top) for (%s, %d) with label (%s), key (%s) and parent id (%d)',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55003, 1, N'TBSM4003I: Creating LOB for (%s, %d) with label (%s), key (%s) and parent id (%d)',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55004, 3, N'TBSM2001E: Could not find the parent key (%s) in GEM_LOBLookup when (%s, %d)',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55005, 1, N'TBSM4004I: Creating LOB for (%s, %d) with label (%s) and parent id (%d)',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55006, 3, N'TBSM2002E: Could not %s LOB as the child id generated by asisp_createLOB is invalid',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55007, 3, N'TBSM2003E: LOB cannot have itself as parent',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55008, 1, N'TBSM: Added LOB %s to existing LOB with key %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55009, 3, N'TBSM: LOB key %s specified does not exist in GEM_LOBLookup',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55010, 1, N'TBSM: Added LOB %s to LOBC',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55011, 1, N'TBSM: Added LOB %s to new LOB %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55012, 1, N'TBSM: Added LOB %s to existing LOB %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55013, 3, N'TBSM: Cannot map instances to Top LOB (LOBC). Must create atleast one level under LOBC.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55014, 1, N'TBSM: Inserted %s-%s to LOB with LOBKey %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55015, 3, N'TBSM: Cannot update as there is more than one entry (in GEM_InstFiltering) with %s-%s and %s %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55016, 1, N'TBSM: All LOBs associated with %s-%s and %s %s are %sd',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55017, 3, N'TBSM: Could not find a LOB to %s with %s-%s and %s %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55018, 3, N'TBSM: LOB key %s specified does not exist in GEM_LOBLookup',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55019, 1, N'TBSM: Inserted %s-%s to existing LOB %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55020, 1, N'TBSM: Inserted %s-%s to new LOB %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55021, 3, N'TBSM3001W: Product (%s) Version (%s) is not defined',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55022, 3, N'TBSM: Could not find LOB %s under %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55023, 3, N'TBSM: There are children under this LOB. Delete the children from TBSM client GUI before deleting the LOB',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55024, 1, N'TBSM: Removed LOB %s from LOB %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55025, 3, N'TBSM: Could not find menuitem %s under %s-%s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55026, 3, N'TBSM: There are children under menuitem %s, so its not deleted',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55027, 1, N'TBSM: Deleted menuitem %s associated with %s-%s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55028, 1, N'TBSM: Updated LOB View (cid=%s, id=%d)',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55029, 1, N'TBSM: Class (%s, %s) not defined',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55030, 1, N'TBSM: Could not find a LOB Instance rule [%s, %s, %s, %d] associated with class %s(%s)',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55031, 1, N'TBSM: Deleted LOB (%s, %d)',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55032, 1, N'TBSM: Deleted LOB Instance rule [%s, %s, %s, %d]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55033, 1, N' TBSM: <LOB_Id>, <LOB_name>, <parent_LOB_name>',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55034, 1, N'TBSM: Invalid parent LOB id (%d) for %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55035, 1, N'TBSM: Inserted filter [Option: %s, Pattern: %s, Expression: %s, Test: %s] for class %s under [%s, %s, %s, %d]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55036, 1, N'TBSM: Updated filter [Option: %s, Pattern: %s, Expression: %s, Test: %s] for class %s under [%s, %s, %s, %d]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55037, 1, N'TBSM: Added class %s(%s) under LOB Instance [%s, %s, %s, %d] with filter [Option: %s, Pattern: %s, Expression: %s, Test: %s]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55038, 1, N' TBSM: <%s_Id>, <%s_name>, <LOB_Id>, <LOB_name>',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55039, 1, N'TBSM: Insufficient information provided in rule to identify a parent LOB instance',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55040, 1, N'TBSM: Name of child LOB should be provided to define the rule [use -d option]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55041, 1, N'TBSM: Deleted all filtering conditions for class %s under LOB Instance rule [%s, %s, %s, %d]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55042, 1, N'TBSM: LOB with label %s already exists under LOB Instance rule [%s, %s, %s, %d]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55043, 1, N'TBSM: Locale [%s] not defined in the database',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55044, 1, N'TBSM: Invalid input [%s=%s]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55045, 1, N'TBSM: Rename failed as Class (%s, %s) label in locale [%s] does not exist',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55046, 1, N'TBSM: Renamed Class label (%s, %s) in locale [%s] to %s',  @replace='REPLACE', @lang='us_english'
GO


-- 'SMS Storage': starts at 56000
EXEC sp_safeaddmessage 56000, 1, N'SYSPLEXES', @replace='REPLACE', @lang='us_english' -- used by asisp_getSysplexOS
EXEC sp_safeaddmessage 56001, 1, N'Storage Complexes', @replace='REPLACE', @lang='us_english' -- used by asisp_getStorageComplexes
EXEC sp_safeaddmessage 56101, 1, /* DPE01 */ N'I/O activity rate exceeds threshold. The rate is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56102, 1, /* DPE02 */ N'I/O intensity rate exceeds threshold. The rate is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56103, 1, /* DPE03 */ N'I/O response time exceeds threshold. The response time is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56104, 1, /* DPE04 */ N'IOS queue time exceeds threshold. The queue time is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56105, 1, /* DPE05 */ N'Pending time exceeds threshold. The pending time is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56107, 1, /* DPE06 */ N'Connect time exceeds threshold. The connect time is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56106, 1, /* DPE07 */ N'Disconnect time exceed threshold. The disconnect time is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56109, 1, /* DPE08 */ N'Device busy delay exceeds threshold.  The delay is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56108, 1, /* DPE09 */ N'CU busy delay exceeds threshold. The delay is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56110, 1, /* DPE10 */ N'Dir port busy delay exceeds threshold. The delay is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56111, 1, /* DPE11 */ N'Percent not ready exceeds threshold. The percentage is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56112, 1, /* DPE12 */ N'Percent reserved exceeds threshold. The percentage is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56201, 1, /* CPE01 */ N'Device caching status is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56202, 1, /* CPE02 */ N'DFW device status is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56203, 1, /* CPE03 */ N'Duplex pair status is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56204, 1, /* CPE04 */ N'Pinned data status is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56205, 1, /* CPE05 */ N'I/O activity rate exceeds threshold.  The rate is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56206, 1, /* CPE06 */ N'Percent read requests below threshold.  The percentage is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56207, 1, /* CPE07 */ N'Read Hit ratio below threshold. The ratio is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56208, 1, /* CPE08 */ N'Write Hit ratio below threshold. The ratio is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56209, 1, /* CPE09 */ N'Total cache hit ratio below threshold. The ratio is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56211, 1, /* CPE10 */ N'Cache Bypass percent exceeds threshold. The percent %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56212, 1, /* CPE11 */ N'Cache Inhibit percent exceeds thresholds. The percent %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56210, 1, /* CPE12 */ N'Fast write ratio below threshold. The ratio is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56301, 1, /* DSE01 */ N'Percent Free space below threshold. The percentage is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56302, 1, /* DSE02 */ N'Free space KB below threshold. The free space is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56303, 1, /* DSE03 */ N'Allocated space KB exceeds threshold. The allocated space is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56304, 1, /* DSE04 */ N'Fragmentation index exceeds threshold. The index is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56305, 1, /* DSE05 */ N'Largest Free extent below threshold. The largest free extent is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56306, 1, /* DSE06 */ N'# of free extents below threshold. The # of free extents is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56307, 1, /* DSE07 */ N'# of free DSCBs below threshold. The # of free DSCBs is %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56308, 1, /* DSE08 */ N'# of free VIRs below threshold. The # of free VIRs is %s.',  @replace='REPLACE', @lang='us_english'
GO

-- HSM messages
EXEC sp_safeaddmessage 57001, 1, N'HSM is not active',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0001 */
EXEC sp_safeaddmessage 57002, 1, N'HSM is in emergency mode',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0002 */
EXEC sp_safeaddmessage 57003, 1, N'HSM processing errors have occurred',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0003 */
EXEC sp_safeaddmessage 57011, 1, N'ABACKUP function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0011 */
EXEC sp_safeaddmessage 57012, 1, N'ARECOVER function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0012 */
EXEC sp_safeaddmessage 57013, 1, N'Audit Function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0013 */
EXEC sp_safeaddmessage 57014, 1, N'Auto Migration function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0014 */
EXEC sp_safeaddmessage 57015, 1, N'Backup functions are held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0015 */
EXEC sp_safeaddmessage 57016, 1, N'Automatic backup is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0016 */
EXEC sp_safeaddmessage 57017, 1, N'All dump functions are held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0017 */
EXEC sp_safeaddmessage 57018, 1, N'Automatic dump is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0018 */
EXEC sp_safeaddmessage 57019, 1, N'Expire backup versions function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0019 */
EXEC sp_safeaddmessage 57020, 1, N'List function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0020 */
EXEC sp_safeaddmessage 57021, 1, N'Log function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0021 */
EXEC sp_safeaddmessage 57022, 1, N'All migration functions are held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0022 */
EXEC sp_safeaddmessage 57023, 1, N'All recall functions are held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0023 */
EXEC sp_safeaddmessage 57024, 1, N'All tape recall functions are held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0024 */
EXEC sp_safeaddmessage 57025, 1, N'All TSO tape recalls are held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0025 */
EXEC sp_safeaddmessage 57026, 1, N'All recover and restore functions are held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0026 */
EXEC sp_safeaddmessage 57027, 1, N'All tape recover and restore funct are held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0027 */
EXEC sp_safeaddmessage 57028, 1, N'Recycle function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0028 */
EXEC sp_safeaddmessage 57029, 1, N'Report function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0029 */
EXEC sp_safeaddmessage 57030, 1, N'Tape copy function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0030 */
EXEC sp_safeaddmessage 57031, 1, N'Tape replace function is held',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0031 */
EXEC sp_safeaddmessage 57032, 1, N'Log data set is inhibited',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0032 */
EXEC sp_safeaddmessage 57033, 1, N'Journaling is inhibited',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0033 */
EXEC sp_safeaddmessage 57034, 1, N'Logging is inhibited',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0034 */
EXEC sp_safeaddmessage 57035, 1, N'PDA function is disabled',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0035 */
EXEC sp_safeaddmessage 57041, 1, N'Free space below 16 MB less than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0041 */
EXEC sp_safeaddmessage 57042, 1, N'Largest space below 16 MB less than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0042 */
EXEC sp_safeaddmessage 57043, 1, N'Second Largest space below 16 MB less than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0043 */
EXEC sp_safeaddmessage 57044, 1, N'Free space above 16 MB less than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0044 */
EXEC sp_safeaddmessage 57045, 1, N'Largest space above 16 MB less than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0045 */
EXEC sp_safeaddmessage 57046, 1, N'Second largest space above 16 MB less than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0046 */
EXEC sp_safeaddmessage 57051, 1, N'Recall MWEs greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0051 */
EXEC sp_safeaddmessage 57052, 1, N'Migrate MWEs greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0052 */
EXEC sp_safeaddmessage 57053, 1, N'Backup MWEs greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0053 */
EXEC sp_safeaddmessage 57054, 1, N'Operator MWEs greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0054 */
EXEC sp_safeaddmessage 57055, 1, N'General MWEs greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0055 */
EXEC sp_safeaddmessage 57056, 1, N'CSA MWEs greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0056 */
EXEC sp_safeaddmessage 57057, 1, N'Wait recall greater than threshold # 2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0057 */
EXEC sp_safeaddmessage 57058, 1, N'Wait recall greater than threshold # 1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0058 */
EXEC sp_safeaddmessage 57059, 1, N'No wait recall greater than threshold #2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0059 */
EXEC sp_safeaddmessage 57060, 1, N'No wait recall greater than threshold #1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0060 */
EXEC sp_safeaddmessage 57061, 1, N'Users have more recalls than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0061 */
EXEC sp_safeaddmessage 57062, 1, N'Users have more deletes than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0062 */
EXEC sp_safeaddmessage 57071, 1, N'ML1 queue time is greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0071 */
EXEC sp_safeaddmessage 57072, 1, N'ML1 allocate time is greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0072 */
EXEC sp_safeaddmessage 57073, 1, N'ML1 process time is greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0073 */
EXEC sp_safeaddmessage 57074, 1, N'ML2 queue time is greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0074 */
EXEC sp_safeaddmessage 57075, 1, N'ML2 allocate time is greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0075 */
EXEC sp_safeaddmessage 57076, 1, N'ML2 process time is greater than threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0076 */
EXEC sp_safeaddmessage 57081, 1, N'MCDS size exceeds high threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0081 */
EXEC sp_safeaddmessage 57082, 1, N'MCDS size exceeds mid threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0082 */
EXEC sp_safeaddmessage 57083, 1, N'MCDS size exceeds low threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0083 */
EXEC sp_safeaddmessage 57084, 1, N'BCDS size exceeds high threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0084 */
EXEC sp_safeaddmessage 57085, 1, N'BCDS size exceeds mid threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0085 */
EXEC sp_safeaddmessage 57086, 1, N'BCDS size exceeds low threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0086 */
EXEC sp_safeaddmessage 57087, 1, N'OCDS size exceeds high threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0087 */
EXEC sp_safeaddmessage 57088, 1, N'OCDS size exceeds mid threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0088 */
EXEC sp_safeaddmessage 57089, 1, N'OCDS size exceeds low threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0089 */
EXEC sp_safeaddmessage 57090, 1, N'Journal exceeds high threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0090 */
EXEC sp_safeaddmessage 57091, 1, N'Journal size exceeds mid threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0091 */
EXEC sp_safeaddmessage 57092, 1, N'Journal size exceeds low threshold',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0092 */
EXEC sp_safeaddmessage 57121, 1, N'PSM Volumes > 25%, volumes < 10% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0121 */
EXEC sp_safeaddmessage 57122, 1, N'PSM Volumes > 25%, volumes < 20% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0122 */
EXEC sp_safeaddmessage 57123, 1, N'PSM Volumes > 25%, volumes < 25% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0123 */
EXEC sp_safeaddmessage 57124, 1, N'PSM Volumes > 50%, volumes < 30% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0124 */
EXEC sp_safeaddmessage 57125, 1, N'PSM Volumes > 50%, volumes < 40% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0125 */
EXEC sp_safeaddmessage 57126, 1, N'PSM Volumes > 50%, volumes < 50% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0126 */
EXEC sp_safeaddmessage 57127, 1, N'PSM Volumes > 75%, volumes < 50% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0127 */
EXEC sp_safeaddmessage 57128, 1, N'PSM Volumes > 75%, volumes < 60% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0128 */
EXEC sp_safeaddmessage 57129, 1, N'PSM Volumes > 75%, volumes < 75% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0129 */
EXEC sp_safeaddmessage 57130, 1, N'PSM volume time > volume process time  thresh 1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0130 */
EXEC sp_safeaddmessage 57131, 1, N'PSM volume time > volume process time  thresh 2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0131 */
EXEC sp_safeaddmessage 57135, 1, N'PSM dataset time > dataset process time  thresh 1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0135 */
EXEC sp_safeaddmessage 57136, 1, N'PSM dataset time > dataset process time  thresh 2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0136 */
EXEC sp_safeaddmessage 57235, 1, N'SSM volume time > volume process time  thresh 1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0235 */
EXEC sp_safeaddmessage 57236, 1, N'SSM volume time > volume process time  thresh 2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0236 */
EXEC sp_safeaddmessage 57330, 1, N'ISM dataset time > dataset process time  thresh 1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0330 */
EXEC sp_safeaddmessage 57331, 1, N'ISM dataset time > dataset process time  thresh 2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0331 */
EXEC sp_safeaddmessage 57421, 1, N'AB window > 25%, volumes < 10% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0421 */
EXEC sp_safeaddmessage 57422, 1, N'AB window > 25%, volumes < 20% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0422 */
EXEC sp_safeaddmessage 57423, 1, N'AB window > 25%, volumes < 25% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0423 */
EXEC sp_safeaddmessage 57424, 1, N'AB window > 50%, volumes < 30% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0424 */
EXEC sp_safeaddmessage 57425, 1, N'AB window > 50%, volumes < 40% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0425 */
EXEC sp_safeaddmessage 57426, 1, N'AB window > 50%, volumes < 50% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0426 */
EXEC sp_safeaddmessage 57427, 1, N'AB window > 75%, volumes < 50% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0427 */
EXEC sp_safeaddmessage 57428, 1, N'AB window > 75%, volumes < 60% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0428 */
EXEC sp_safeaddmessage 57429, 1, N'AB window > 75%, volumes < 75% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0429 */
EXEC sp_safeaddmessage 57430, 1, N'AB volume time > volume process time  thresh 1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0430 */
EXEC sp_safeaddmessage 57431, 1, N'AB volume time > volume process time  thresh 2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0431 */
EXEC sp_safeaddmessage 57435, 1, N'AB dataset time > dataset process time  thresh 1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0435 */
EXEC sp_safeaddmessage 57436, 1, N'AB dataset time > dataset process time  thresh 2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0436 */
EXEC sp_safeaddmessage 57521, 1, N'AD window > 25%, volumes < 10% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0521 */
EXEC sp_safeaddmessage 57522, 1, N'AD window > 25%, volumes < 20% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0522 */
EXEC sp_safeaddmessage 57523, 1, N'AD window > 25%, volumes < 25% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0523 */
EXEC sp_safeaddmessage 57524, 1, N'AD window > 50%, volumes < 30% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0524 */
EXEC sp_safeaddmessage 57525, 1, N'AD window > 50%, volumes < 40% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0525 */
EXEC sp_safeaddmessage 57526, 1, N'AD window > 50%, volumes < 50% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0526 */
EXEC sp_safeaddmessage 57527, 1, N'AD window > 75%, volumes < 50% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0527 */
EXEC sp_safeaddmessage 57528, 1, N'AD window > 75%, volumes < 60% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0528 */
EXEC sp_safeaddmessage 57529, 1, N'AD window > 75%, volumes < 75% done',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0529 */
EXEC sp_safeaddmessage 57530, 1, N'AD volume time > volume process time  thresh 1',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0530 */
EXEC sp_safeaddmessage 57531, 1, N'AD volume time > volume process time  thresh 2',  @replace='REPLACE', @lang='us_english' /* HMT condition MON0531 */
GO

-- tU_BATCH_C, RecordBatchCurrentStateChange, _PollForCompletedSchedules, _LoadOPCPlan
EXEC sp_safeaddmessage 58001, 1, N'Job %s reset due to change in scheduled start time. Old=[%s], New=[%s]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 58002, 1, N'Job %s\%s started at [%s]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 58003, 1, N'ALL OPERATIONS IN APPLICATION [%s] COMPLETED AS OF [%s]',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 58004, 1, N'Aborting OPC load due to error copying data to Object database', @replace='REPLACE', @lang='us_english'
GO

-- messages for format type 8 action type 4 (OPC OPERATION_EXCEPTION) and action type 3 (OPC OPC_EXCEPTION) events
EXEC sp_safeaddmessage 59001, 1, N'JOB %s(%s) ENDED IN ERROR %s. APPL = %s, WORK STATION = %s, IA = %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59002, 1, N'JOB %s(%s), IN APPLICATION %s, IS LATE, WORK STATION = %s, IA = %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59003, 1, N'LONG DURATION FOR JOB %s(%s),  IN APPLICATION %s, WORK STATION = %s, IA = %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59004, 1, N'LONG TIME ON INPUT QUEUE FOR JOB %s(%s), APPL = %s, WORKSTATION = %s, IA = %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59005, 1, N'OPERATION %s %s_%s, %s IA %s HAS WAITED FOR RESOURCE %s FOR %s MINUTES',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59006, 1, N'OPC/ESA SUBTASK %s ENDED UNEXPECTEDLY',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59007, 1, N'%s %% OF QUEUE %s IN USE',  @replace='REPLACE', @lang='us_english'
GO

-- messages for Batch Long Duration other then OPC
EXEC sp_safeaddmessage 59011, 1, N'LONG DURATION FOR %s BATCH JOB %s, STOP TIME = %s.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59012, 1, N'LONG DURATION FOR %s BATCH JOB %s, MUST END TIME = %s.',  @replace='REPLACE', @lang='us_english'

-- asisp_processStagedDB2_SUB_DOWNs, asisp_processStagedDB2_MESGs
EXEC sp_safeaddmessage 59100, 1, N'DB2 SUBSYSTEM [%s](%d) IS DOWN',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59101, 1, N'DB2 SUBSYSTEM [%s](%d) IS DOWN',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59102, 1, N'DB2 SUBSYSTEM [%s](%d) IS UP',    @replace='REPLACE', @lang='us_english'
GO

-- IMS subsystem up and down messages
EXEC sp_safeaddmessage 59110, 1, N'IMS SUBSYSTEM [%s](%d) IS DOWN',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59111, 1, N'IMS SUBSYSTEM [%s](%d) IS UP',    @replace='REPLACE', @lang='us_english'
GO

-- asisp_lookupCICSCommandVars, _QueryState
EXEC sp_safeaddmessage 59200, 1, N'Cannot issue CICS command on object %s %d since it is not linked to CICS-related object!',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59201, 1, N'Cannot find CICSPlex information for class %s!',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59202, 1, N'Object %s %d is not in a CICSPlex. Cannot execute commands!',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59203, 1, N'Cannot find task server for object %s %d since it is not known to be running anywhere. Cannot execute commands!',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59204, 1, N'No task server defined for OS [%s]. Cannot execute commands!',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59205, 1, N'QueryState method is not supported for class %s.',  @replace='REPLACE', @lang='us_english'
GO

-- asisp_processStagedCHEVs
EXEC sp_safeaddmessage 59300, 1, N'%s %s %s counter value %d exceeds threshold',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59301, 1, N'%s %s %s counter value %d at or below threshold',  @replace='REPLACE', @lang='us_english'

-- asisp_getwebspherecomplexes.sql
EXEC sp_safeaddmessage 60000, 1, N'WebSphere Complexes', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 60004, 1, N'More than one WebSphere server named %s so an event was not generated', @replace='REPLACE', @lang='us_english'

-- ********************************************************************************
-- 
-- Translator Note: Please do NOT trasnlate the next 3 EXEC (60001,60002, 60003) 
--                  statements. These items are for english strings only.
--
-- ********************************************************************************
-- Make lower case english words plural by adding s in the end
EXEC sp_safeaddmessage 60001, 1, N'%s', @replace='REPLACE', @lang='us_english'
-- Make lower case english words plural by adding es in the end
EXEC sp_safeaddmessage 60002, 1, N'%ses', @replace='REPLACE', @lang='us_english'
-- Make  lower case english words plural by adding ies in the end
EXEC sp_safeaddmessage 60003, 1, N'%ses', @replace='REPLACE', @lang='us_english'

-- maintenance window messages will use message ids 61000-61999.  Please do
-- not use for any other purpose.
EXEC sp_safeaddmessage 61000, 1, N'asisp_process_MaintOutageRequest: message is invalid - all parameters not received', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61001, 1, N'asisp_process_MaintOutageRequest: ''%s'' is an invalid Unique-Parent-Object-Type value', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61002, 1, N'asisp_process_MaintOutageRequest: ''%s'' is an invalid Target-Object-Type value', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61003, 1, N'asisp_process_MaintOutageRequest: On-Off-Indicator ''%s'' is not ON or OFF', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61004, 1, N'asisp_process_MaintOutageRequest: ''%s'' is an invalid Duration-Of-Maintenance value', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61005, 1, N'asisp_process_MaintOutageRequest: Desired-Effect-Indicator value ''%s'' is not 0, 1, 2, or 3', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61006, 1, N'asisp_process_MaintOutageRequest: GMT-Start-Time value ''%s'' is not in the format YYYYMMDDHHMMSS', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61007, 1, N'asisp_process_MaintOutageRequest: hosttime ''%s'' is not in the format YYYYMMDDHH:MM:SS.tttttt', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61008, 1, N'asisp_process_MaintOutageRequest: no matching objects', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61009, 1, N'asisp_process_MaintOutageRequest: multiple matching objects', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 61010, 1, N'asisp_process_MaintOutageRequest: ''%s'' is an invalid Target-Object-Native-Key value', @replace='REPLACE', @lang='us_english'

-- Threshold messages
EXEC sp_safeaddmessage 62001, 1, N'GTMPR1001E: An attempt was made to set a class-level threshold to -1.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62002, 1, N'GTMPR1002E: An attempt was made to set a threshold to a negative value other than -1.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62003, 1, N'GTMPR1003E: AlertState must be 2(Yellow), or 3(Red).',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62004, 1, N'GTMPR1004E: Priority must be 2(High), 3(Medium), or 4(Low).',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62005, 1, N'GTMPR1005E: An attempt was made to set the threshold for an invalid cid.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62006, 1, N'GTMPR1006E: EventType must be 0(ChildEvent) or 1(ExceptionEvent).',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62007, 1, N'GTMPR1007E: An attempt was made to set the threshold and the cid or id is null..',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62008, 1, N'GTMPR1008E: An attempt was made to reset a class-level threshold.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62009, 1, N'GTMTU1006E: A CID does not exist for the product/version specified.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62010, 1, N'GTMTU1007W: Qualified resource path resolved to non-Business System resource.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62011, 1, N'GTMTU1008E: Qualified resource path resolved to multiple resources.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62012, 1, N'GTMTU1009E: A CID does not exist for the feed specified instid.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62013, 1, N'GTMTU1010E: A CID does not exist for the className.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62014, 1, N'GTMTU1011E: Qualified resource path resolved to multiple Business System resources.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62015, 1, N'GTMTU1012E: No resources for the qualified resource path specified.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 62016, 1, N'GTMPR1009E: An attempt was made to set the threshold higher than 999,999.',  @replace='REPLACE', @lang='us_english'
-- Executive Views
EXEC sp_safeaddmessage 63001, 1, N'GTMEV1001E: The specified BusinessSystem does not exist.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63004, 1, N'GTMEV1004E: Failed to link Service to specified User because it is a Service Resource.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63006, 1, N'GTMEV1006E: The input ServiceID must be unique in the TBSM Service namespace.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63008, 1, N'GTMEV1008E: The specified User does not exist.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63013, 1, N'GTMEV1013E: The specified BusinessSystem or Service does not exist.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63014, 1, N'GTMEV1014E: The following Service attributes cannot be set to NULL: ServiceID, BusinessRole, RedImpact, YellowImpact.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63016, 1, N'GTMEV1016E: An attempt was made to set the Special Services Flags to a value other than 1 or 0.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63018, 1, N'GTMEV1018E: A ServiceID must be specifed for every Service.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63019, 1, N'GTMEV1019E: Failed to generate unique ServiceID.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63020, 1, N'GTMEV1020E: Bulk create of Service failed.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63021, 1, N'GTMEV1021E: Failed to create EVSL links for Service.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63022, 1, N'GTMEV1022E: Failed to update attributes for existing Services.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63023, 1, N'GTMEV1023E: Failed to generate a GUID for the specified Service.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63024, 1, N'GTMEV1024E: Failed to create EVSS link to parent services.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63025, 1, N'GTMEV1025E: Failed to create EVSS link to sub services.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63026, 1, N'GTMEV1026E: Same ServiceID is specified for multiple Business Systems. ServiceIDs must be unique in the database',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63027, 1, N'GTMEV1027E: Same Business System is associated with different ServiceIDs. A Business system may be associated with only one ServiceID.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63028, 1, N'GTMEV1028E: The specified CID must be EXES or LOB',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63029, 1, N'GTMEV1029E: The specified Object does not exit. ',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63030, 1, N'GTMEV1030E: The specified Business System is not associated with a Service, or the Service is inactive or the Service is Service Resource.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 63031, 1, N'GTMEV1031E: The specified Service is not linked to a Business System, or the Service is inactive or the Service is Service Resource.',  @replace='REPLACE', @lang='us_english'

-- SetMNO2Flag
EXEC sp_safeaddmessage 64000, 3, N'GTMTU1030E: Value must be 0 (disabled) or 1 (enabled).',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64001, 3, N'GTMTU1031E: The field must be set.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64002, 3, N'GTMTU1032W: Request was ignored because a newer request was available.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64003, 3, N'GTMTU1033E: Enumeration is not defined for the field specified.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64004, 3, N'GTMTU1034E: Looking up a value from the enumeration failed.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64005, 3, N'GTMTU1035E: The field is not defined.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64006, 3, N'GTMTU1036E: The field is multi-values, setting this field is not supported.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64007, 3, N'GTMTU1037E: Error inserting LOB links into table.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64008, 3, N'GTMTU1038E: Error updating the flag value.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 64009, 3, N'GTMTU1039W: Error inserting PendingNotification record.',  @replace='REPLACE', @lang='us_english'

-- ExportLOBAsXML
EXEC sp_safeaddmessage 65000, 3, N'GTMTU1040E: The specified resource is either not in the database or has been deleted.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65001, 3, N'GTMTU1041E: An invalid value was specified for either the -c flag or the -i flag.  The -c value should be either "LOBC" or "LOB".  The -i value should be "1" if LOBC was specified.  The -i value should be greater than 0 if LOB was specified.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65002, 3, N'GTMTU1042E: The business system root node could not be reached for LOB %d.  This business system is orphaned.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65003, 3, N'GTMTU1043E: Could not locate enumeration for MNO2FlagValues.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65004, 3, N'GTMTU1044E: Could not locate enumeration value for SendAlertStateChangeEvent.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65005, 3, N'GTMTU1045E: Multiple (%d) Business Systems with the name "%s" were found.  Reissue the command using the -c and -i flags, specifying the cid and id from the list below.',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65006, 3, N'GTMTU1046E: Avilable for use.  Unused number......',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65007, 3, N'GTMTU1047I: CID: %s  ID: %d  InstanceID: %s',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65008, 3, N'GTMTU1048I: Export summary:  BusinessSystems: %d Links: %d LOBC: %d LOBL: %d GENL: %d',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65009, 3, N'GTMTU1049I: Methods: %d Thresholds: %d PBTs: %d Services: %d SendEvent: %d Weight: %d Priority: %d',  @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 65010, 3, N'GTMTU1049W: The following Business Systems could not be exported:',  @replace='REPLACE', @lang='us_english'

-- Add Failover Log Shipping out of sync message
EXEC sp_safeaddmessage 90051, 17, N'SQL Server Log Shipping OOS: Database: %s, DELTA: %d', @replace='REPLACE', @lang='us_english'

-------------------------------------------------------------------------------------
PRINT 'Done.'
GO
