-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- List: archive/db/sql/tables/aloblistsetbspriority.sql
-- SID: 1.2
-- Date Modified: 04/10/15 11:34:51
--
-- Module Description
--   Defines the alobListSetBSPriority table which mirrors the SetBSPriority
--   section of the abs config List.

Use Object
GO

-------------------------------------------------------------------------
-- alobListSetBSPriority
IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'alobListSetBSPriority' AND type = 'U')
BEGIN
  PRINT 'alobListSetBSPriority already exists. No changes made to alobListSetBSPriority'
END
ELSE
BEGIN
EXEC("  
PRINT 'Creating table alobListSetBSPriority'
  CREATE TABLE alobListSetBSPriority

  (
    rCorr                          INTEGER        IDENTITY,        -- correlator for error handling
    sInstance                      NVARCHAR(32)   NULL,            -- Instance 
    NewPriority                    NVARCHAR(32)    NULL,
    ErrorID                        INTEGER        NULL
  )
")
END
GO
