-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/stagedbspriority.sql
-- SID: 1.1
-- Date Modified: 04/10/21 10:55:07
--
-- Module Description
--   Defines the StagedBSPriority table.
--   This table handles the setting of Business System object priority
USE Object
GO

IF NOT EXISTS (SELECT * FROM sysobjects WHERE name = 'StagedBSPriority' AND type = 'U')
BEGIN
  PRINT 'Creating table StagedBSPriority'

  CREATE TABLE StagedBSPriority
  (
    timestamp TIMESTAMP   NOT NULL,
    cid       ClassID     NOT NULL,
    id        ObjID       NOT NULL,
    priority  INT         NOT NULL,
    ctime     DATETIME    NOT NULL CONSTRAINT StagedBSPriority_ctime_DF DEFAULT (CURRENT_TIMESTAMP)
  )
END
GO
