-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM
--
-- Restricted Materials of IBM
--
-- 5724-C51
--
-- (C) Copyright IBM Corp. 2003 All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive\db\sql\synceventcleanupjob.sql
-- SID: 1.1
-- Date Modified: 04/09/21 16:42:39
--
-- Module Description
--   Defines the 'SyncEvent Cleanup' SQL Job

USE msdb
GO

DECLARE @job_id UNIQUEIDENTIFIER

-- Get database userid
DECLARE @sqlUser NVARCHAR(32)
SET @sqlUser = 'sa'
EXEC master.dbo.xp_regread 'HKEY_LOCAL_MACHINE', 
                           'SOFTWARE\Accessible Software, Inc.\Access1\1.0\Settings\DB',
                           'User',
                           @sqlUser OUTPUT

-- Create job
IF NOT EXISTS (SELECT * FROM sysjobs WHERE name = 'SyncEvent Cleanup')
BEGIN
  EXEC sp_add_job 
      @job_name = 'SyncEvent Cleanup',
      @enabled = 1,
      @description = 'Cleans up orphaned SyncEvent records',
      @start_step_id = 1,
      @category_name = 'Database Maintenance',
      @owner_login_name = @sqlUser,
      @job_id = @job_id OUTPUT
  EXEC sp_add_jobserver @job_name = 'SyncEvent Cleanup'

  -- Create the only step
  EXEC sp_add_jobstep
    @job_id = @job_id,
    @subsystem = 'TSQL',
    @command = 'EXEC asisp_clearSyncEventJob',
    @database_name = 'Object',
    @step_name = 'Cleanup'

  -- Create schedule to run daily, every 3 minutes
  EXEC sp_add_jobschedule
    @job_id = @job_id,
    @name = 'Daily Schedule',
    @freq_type = 4,
    @freq_interval = 1,
    @freq_subday_type = 4,
    @freq_subday_interval = 3
END

GO